import { Button, Form, FormProps, Input } from "antd"
import { IUserForm, FieldTypeUser } from "../../interfaces/userForm";

const UserForm = ({onFinish}: IUserForm) => {
    const onFinishHandler: FormProps<FieldTypeUser>['onFinish'] = (values) => {
        onFinish(values)
    };

    return (
        <Form
            name="basic"
            labelCol={{ span: 8 }}
            wrapperCol={{ span: 16 }}
            style={{ maxWidth: 600 }}
            onFinish={onFinishHandler}
            autoComplete="off"
        >
            <Form.Item<FieldTypeUser>
                label="Username"
                name="username"
                rules={[{ required: true, message: 'Please input your username!' }]}
            >
                <Input />
            </Form.Item>

            <Form.Item<FieldTypeUser>
                label="Password"
                name="password"
                rules={[{ required: true, message: 'Please input your password!' }]}
            >
                <Input.Password />
            </Form.Item>

            <Form.Item label={null}>
                <Button type="primary" htmlType="submit">
                    Submit
                </Button>
            </Form.Item>
        </Form>
    )
}

export default UserForm